"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.stringifyWorklogEntry = exports.convertTogglEntryToWorklog = exports.parseTogglEntry = void 0;
const datetime_1 = require("./datetime");
function parseTogglEntry(record) {
    var _a;
    const { groups } = (_a = /^(?<issueKey>[^-]+-\d+)/.exec(record.description)) !== null && _a !== void 0 ? _a : {};
    const issueKey = groups ? groups.issueKey : undefined;
    if (!issueKey) {
        return null;
    }
    return {
        issueKey,
        start: (0, datetime_1.toDateTime)(record.startDate, record.startTime),
        end: (0, datetime_1.toDateTime)(record.endDate, record.endTime),
    };
}
exports.parseTogglEntry = parseTogglEntry;
function convertTogglEntryToWorklog(entry) {
    return {
        issueKey: entry.issueKey,
        dateStarted: entry.start,
        timeSpent: (0, datetime_1.computeDuration)(entry.start, entry.end),
    };
}
exports.convertTogglEntryToWorklog = convertTogglEntryToWorklog;
function stringifyWorklogEntry(worklog) {
    return {
        issueKey: worklog.issueKey,
        dateStarted: (0, datetime_1.formatDate)(worklog.dateStarted),
        timeSpent: (0, datetime_1.formatDuration)(worklog.timeSpent),
    };
}
exports.stringifyWorklogEntry = stringifyWorklogEntry;
