"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const toggl = __importStar(require("./converter"));
test('parses toggl csv records', () => {
    expect(toggl.parseTogglEntry({
        description: 'ABC-123 Test',
        startDate: '2020-01-01',
        startTime: '00:00',
        endDate: '2020-01-01',
        endTime: '12:34',
    })).toEqual({
        issueKey: 'ABC-123',
        start: new Date('2020-01-01T00:00'),
        end: new Date('2020-01-01T12:34'),
    });
});
test('skips invalid toggl csv records', () => {
    expect(toggl.parseTogglEntry({
        description: 'Lorem Ipsum',
        startDate: '2020-01-01',
        startTime: '00:00',
        endDate: '2020-01-01',
        endTime: '12:34',
    })).toEqual(null);
});
test('converts toggl entries to worklog entries', () => {
    expect(toggl.convertTogglEntryToWorklog({
        issueKey: 'ABC-123',
        start: new Date('2020-01-01T00:00'),
        end: new Date('2020-01-01T12:34'),
    })).toEqual({
        issueKey: 'ABC-123',
        dateStarted: new Date('2020-01-01T00:00'),
        timeSpent: {
            hours: 12,
            minutes: 34,
        },
    });
});
