"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.stringify = exports.parse = void 0;
const _ = require('lodash');
function parse(string) {
    const [header, ...data] = string.trim().split(/[\r\n]+/);
    const keys = header.split(',').map(_.camelCase);
    const json = data.map((line) => {
        const fields = line.split(',');
        return fields.reduce((acc, field, index) => {
            acc[keys[index]] = field;
            return acc;
        }, {});
    });
    return json.map((object) => _.mapKeys(object, (_value, key) => _.camelCase(key)));
}
exports.parse = parse;
function stringify(entries) {
    const keys = Object.keys(entries[0]);
    const table = [
        keys.map(_.startCase),
        ...entries.map(e => _.values(_.pick(e, keys)))
    ];
    return table
        .map(columns => columns.join(','))
        .join('\n');
}
exports.stringify = stringify;
