"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.divRem = exports.diffInSeconds = exports.formatDate = exports.formatDuration = exports.computeDuration = exports.toDateTime = void 0;
function toDateTime(date, time) {
    return new Date(`${date}T${time}`);
}
exports.toDateTime = toDateTime;
function computeDuration(from, to) {
    let hours;
    let minutes;
    let seconds;
    [hours, minutes] = divRem(diffInSeconds(from, to), 3600);
    [minutes, seconds] = divRem(minutes, 60);
    if (seconds >= 30) {
        minutes += 1;
    }
    return {
        hours,
        minutes
    };
}
exports.computeDuration = computeDuration;
function formatDuration({ hours, minutes }) {
    return [
        hours && `${hours}h`,
        minutes && `${minutes}m`
    ]
        .filter(Boolean)
        .join(' ');
}
exports.formatDuration = formatDuration;
function formatDate(d) {
    const dateString = [
        d.getFullYear(),
        String(d.getMonth() + 1).padStart(2, '0'),
        String(d.getDate()).padStart(2, '0'),
    ].join('-');
    const timeString = [
        d.getHours(),
        d.getMinutes(),
        d.getSeconds()
    ]
        .map(n => String(n).padStart(2, '0'))
        .join(':');
    return `${dateString} ${timeString}`;
}
exports.formatDate = formatDate;
function diffInSeconds(a, b) {
    const diff = Math.abs(a.getTime() - b.getTime());
    return Math.round(diff / 1000);
}
exports.diffInSeconds = diffInSeconds;
function divRem(n, d) {
    return [
        ~~(n / d),
        n % d
    ];
}
exports.divRem = divRem;
