"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const datetime = __importStar(require("./datetime"));
test('converts date and time strings', () => {
    expect(datetime.toDateTime('2020-01-01', '00:00')).toEqual(new Date('2020-01-01T00:00'));
});
test('computes duration', () => {
    expect(datetime.computeDuration(new Date('2020-01-01T00:00:00'), new Date('2020-01-01T12:34:56'))).toEqual({
        hours: 12,
        minutes: 35
    });
});
test('formats duration', () => {
    expect(datetime.formatDuration({
        hours: 12,
        minutes: 34
    })).toEqual('12h 34m');
});
test('formats dates', () => {
    expect(datetime.formatDate(new Date('2020-01-01T12:34:56'))).toEqual('2020-01-01 12:34:56');
});
test('computes difference in seconds between dates', () => {
    expect(datetime.diffInSeconds(new Date('2020-01-01T00:00:00.000'), new Date('2020-01-01T01:23:44.999'))).toEqual(3600 + 23 * 60 + 45);
});
test('divides and returns remainder', () => {
    expect(datetime.divRem(7, 3)).toEqual([2, 1]);
});
