"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.main = void 0;
const fs_1 = require("fs");
const converter_1 = require("./converter");
const csv_1 = require("./csv");
const path_1 = require("./path");
function main(file) {
    const togglCSV = (0, fs_1.readFileSync)(file, 'utf-8');
    const filteredTogglEntries = (0, csv_1.parse)(togglCSV)
        .map(converter_1.parseTogglEntry)
        .filter(Boolean);
    const worklogs = filteredTogglEntries
        .map(converter_1.convertTogglEntryToWorklog)
        .map(converter_1.stringifyWorklogEntry);
    const jiraCSV = (0, csv_1.stringify)(worklogs);
    (0, fs_1.writeFileSync)((0, path_1.appendFilenameSuffix)(file, '-jira'), jiraCSV, 'utf-8');
}
exports.main = main;
